## tclmidi 3.1-4

=== debian/changelog ===
tclmidi (3.1-4) unstable; urgency=low

  * Fixes Bug#16613: tclmidi installs empty tclmidi.1 man page
  * Fixes Bug#17227: tclmidi: contains huge unstripped shared object

 -- Will Lowe <lowe@debian.org>  Tue, 20 Jan 1998 01:20:26 -0500

tclmidi (3.1-3) unstable; urgency=low

  * Fixed Bug#14579: Overlap between tclmidi and mtools

 -- Will Lowe <lowe@debian.org>  Thu, 18 Dec 1997 17:55:18 -0500

tclmidi (3.1-2) unstable; urgency=low

  * Fixed dependency: tclmidi now depends on tcl8.0.

 -- William M. Lowe <harpo@udel.edu>  Tue, 14 Oct 1997 22:28:35 -0400

tclmidi (3.1-1) unstable; urgency=low

  * 
  * 
  * 
  * 
  * Initial Release.

 -- William M. Lowe <harpo@udel.edu>  Fri, 10 Oct 1997 18:35:51 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "lowe@debian.org"
End:
