=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=tclmidi

build:
	$(checkdir)
	# All this fixes namespace conflict with mtools

	sed -f fixnamespace.sed Makefile.in > Makefile.tmp
	rm Makefile.in
	mv Makefile.tmp Makefile.in
	mv minfo.dist tminfo.dist
	mv mrec.dist tmrec.dist
	mv mplay.dist tmplay.dist
	mv midtotcl.dist tmidtotcl.dist
	cd man && sed -f ../fixnamespace.sed tclmidi.1 > tclmidi.1
	cd man && sed -f ../fixnamespace.sed mrec.1 > tmrec.1
	cd man && sed -f ../fixnamespace.sed mplay.1 > tmplay.1
	cd man && sed -f ../fixnamespace.sed midtotcl.1 > tmidtotcl.1
	cd man && sed -f ../fixnamespace.sed minfo.1 > tminfo.1
	cd man && rm minfo.1 mrec.1 mplay.1 midtotcl.1
	cd man && sed -f fixman.sed Makefile.in > Makefile.tmp
	cd man && rm Makefile.in
	cd man && mv Makefile.tmp Makefile.in
	cd man && ./fixman
	./configure --prefix=/usr
	make 
	strip --strip-unneeded tclmidi31.so
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install prefix=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README TODO 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
